Show / Hide Table of Contents

# Enum TextDocumentSyncKind

Defines the document synchronization strategies that a server may support.

###### Namespace:Microsoft.SqlTools.ServiceLayer.Hosting.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public enum TextDocumentSyncKind

### Fields

Name | Description
--- | ---
Full | Indicates that document changes are always sent with the full content.
Incremental | Indicates that document changes are sent as incremental changes after the initial document content has been sent.
None | Indicates that documents should not be synced at all.